"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const cors_1 = __importDefault(require("cors"));
const express_2 = require("express");
require("express-async-errors");
const errors_1 = require("./utils/errors");
const express_rate_limit_1 = __importDefault(require("express-rate-limit"));
const ad_router_1 = require("./routers/ad.router");
const app = (0, express_1.default)();
app.use((0, cors_1.default)({
    origin: 'http://localhost:3000'
}));
app.use((0, express_2.json)());
const limiter = (0, express_rate_limit_1.default)({
    windowMs: 5 * 60 * 1000,
    max: 100, // Limit each IP to 100 requests per `window` (here, per 15 minutes)
});
app.use(limiter);
app.get('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    throw new errors_1.ValidationError("Damn!");
}));
app.use('/api', ad_router_1.adRouter);
app.use(errors_1.handleError);
app.listen(3001, '0.0.0.0', () => {
    console.log("localhost listening http://localhost:3001");
});
//# sourceMappingURL=index.js.map