"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.adRouter = void 0;
const express_1 = require("express");
const ad_record_1 = require("../records/ad.record");
const errors_1 = require("../utils/errors");
const db_1 = require("../utils/db");
exports.adRouter = (0, express_1.Router)()
    .get('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const posts = yield ad_record_1.AdRecord.listAllArticle();
    res.json({
        posts,
    });
}))
    .get('/edit/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const post = yield ad_record_1.AdRecord.getOneArticle(req.params.id);
    res.json(post);
}))
    .post('/create', (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    const newPost = new ad_record_1.AdRecord(req.body);
    yield newPost.insertArticle();
    res.json(newPost);
}))
    .put("/", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const id = req.body.id;
    const title = req.body.description;
    yield db_1.pool.query("UPDATE `blog` SET `description` = ? WHERE id = ?", [title, id]);
    res.end('Update successfully');
}))
    .delete('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const post = yield ad_record_1.AdRecord.getOneArticle(req.params.id);
    if (!post) {
        throw new errors_1.ValidationError('No find post.');
    }
    yield post.delete();
    res.end('Delete successfully');
}));
//# sourceMappingURL=ad.router.js.map